<div class="card" style="width: 39rem;">

<div [ngStyle]="{background: getColor()}" class="card-body container">
    <h6 class="text-muted float-right">{{post.date | date: 'short'}}</h6>
    <h5 class="card-title">{{post.title}}</h5>
    <p class="card-text">{{post.content}}</p>
  
    <button type="button" class="btn btn-sm btn-success"
    (click)="onLike()">Like</button>
    <button type="button" class="btn btn-sm btn-danger"
    (click)="onDislike()">dislike</button>
    <button type="button" class="btn btn-sm btn-danger float-right"
    (click)="onDelete(post)">Delete </button>
  </div>
  </div>